I've found a small bug in the OpenSSI Makefile for the SUSE version:
 
....
KPATH = /usr/src/linux-2.4-ssi
kerntest:
        @if [ ! -d ${KPATH} ]; then \
                echo "${KPATH} not found!"; \
                echo "Run 'make kernel.rpm' first."; \
                exit 1; \
        fi
 
lustre.rpm:     kerntest lustre.patch
        @cd lustre; ./configure --with-linux=${KPATH}
        @${MKRPM} '' lustre/scripts/lustre.spec \
                patches/lustre-ssi.patch
...
 
KPATH should be set to "/usr/src/linux-2.6-ssidevel". Otherwise the command "make lustre.rpm" gives always the same error:
 
/usr/src/linux-2.4-ssi not found!
Run 'make kernel.rpm' first.
make: *** [kerntest] Error 1
 
Karl, could you fix this?
 
Stephan